- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QAbstractAnimation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qabstractanimation.h.

`#include <qabstractanimation.h>`

Inheritance diagram for QAbstractAnimation:
[legend]

List of all members.

## Public Types
enum | Direction { Forward, Backward }
enum | State { Stopped, Paused, Running }
enum | DeletionPolicy { KeepWhenStopped = 0, DeleteWhenStopped }
## Public Slots
void | start (QAbstractAnimation::DeletionPolicy policy=KeepWhenStopped)
void | pause ()
void | resume ()
void | setPaused (bool)
void | stop ()
void | setCurrentTime (int msecs)
## Signals
void | finished ()
void | stateChanged (QAbstractAnimation::State newState, QAbstractAnimation::State oldState)
void | currentLoopChanged (int currentLoop)
void | directionChanged (QAbstractAnimation::Direction)
## Public Member Functions
| QAbstractAnimation (QObject *parent=0)
virtual | ~QAbstractAnimation ()
State | state () const
QAnimationGroup * | group () const
Direction | direction () const
void | setDirection (Direction direction)
int | currentTime () const
int | currentLoopTime () const
int | loopCount () const
void | setLoopCount (int loopCount)
int | currentLoop () const
virtual int | duration () const =0
int | totalDuration () const
## Protected Member Functions
| QAbstractAnimation (QAbstractAnimationPrivate &dd, QObject *parent=0)
bool | event (QEvent *event)
virtual void | updateCurrentTime (int currentTime)=0
virtual void | updateState (QAbstractAnimation::State newState, QAbstractAnimation::State oldState)
virtual void | updateDirection (QAbstractAnimation::Direction direction)
## Properties
State | state
int | loopCount
int | currentTime
int | currentLoop
Direction | direction
int | duration

## Member Enumeration Documentation

enum Direction

Search for all occurrences

Enumerator:

  Forward | Search for all occurrences
  Backward | Search for all occurrences

Definition at line 72 of file qabstractanimation.h.

                       {
            Forward,
            Backward
        };

enum State

Search for all occurrences

Enumerator:

  Stopped | Search for all occurrences
  Paused | Search for all occurrences
  Running | Search for all occurrences

Definition at line 77 of file qabstractanimation.h.

                   {
            Stopped,
            Paused,
            Running
        };

enum DeletionPolicy

Search for all occurrences

Enumerator:

  KeepWhenStopped | Search for all occurrences
  DeleteWhenStopped | Search for all occurrences

Definition at line 83 of file qabstractanimation.h.

                            {
            KeepWhenStopped = 0,
            DeleteWhenStopped
        };

## Constructor & Destructor Documentation

QAbstractAnimation | ( | QObject * | parent = `0` | ) |

virtual ~QAbstractAnimation | ( |  | ) | `[virtual]`

QAbstractAnimation | ( | QAbstractAnimationPrivate & | dd,
|  | QObject * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

State state | ( |  | ) | const

Search for all occurrences

QAnimationGroup* group | ( |  | ) | const

Search for all occurrences

Direction direction | ( |  | ) | const

Search for all occurrences

void setDirection | ( | Direction | direction | ) |

Search for all occurrences

int currentTime | ( |  | ) | const

Search for all occurrences

int currentLoopTime | ( |  | ) | const

Search for all occurrences

int loopCount | ( |  | ) | const

Search for all occurrences

void setLoopCount | ( | int | loopCount | ) |

Search for all occurrences

int currentLoop | ( |  | ) | const

Search for all occurrences

virtual int duration | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QParallelAnimationGroup, QPauseAnimation, QSequentialAnimationGroup, and QVariantAnimation.

int totalDuration | ( |  | ) | const

Search for all occurrences

void finished | ( |  | ) | `[signal]`

Search for all occurrences

void stateChanged | ( | QAbstractAnimation::State | newState,
|  | QAbstractAnimation::State | oldState
| ) |  | `[signal]`

Search for all occurrences

void currentLoopChanged | ( | int | currentLoop | ) | `[signal]`

Search for all occurrences

void directionChanged | ( | QAbstractAnimation::Direction |  | ) | `[signal]`

Search for all occurrences

void start | ( | QAbstractAnimation::DeletionPolicy | policy = `KeepWhenStopped` | ) | `[slot]`

Search for all occurrences

void pause | ( |  | ) | `[slot]`

Search for all occurrences

void resume | ( |  | ) | `[slot]`

Search for all occurrences

void setPaused | ( | bool |  | ) | `[slot]`

Search for all occurrences

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void setCurrentTime | ( | int | msecs | ) | `[slot]`

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QAnimationGroup, QParallelAnimationGroup, QPauseAnimation, QPropertyAnimation, QSequentialAnimationGroup, and QVariantAnimation.

virtual void updateCurrentTime | ( | int | currentTime | ) | `[protected, pure virtual]`

Search for all occurrences

Implemented in QParallelAnimationGroup, QPauseAnimation, QSequentialAnimationGroup, and QVariantAnimation.

virtual void updateState | ( | QAbstractAnimation::State | newState,
|  | QAbstractAnimation::State | oldState
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented in QParallelAnimationGroup, QPropertyAnimation, QSequentialAnimationGroup, and QVariantAnimation.

virtual void updateDirection | ( | QAbstractAnimation::Direction | direction | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QParallelAnimationGroup, and QSequentialAnimationGroup.

## Property Documentation

State state `[read]`

Search for all occurrences

Definition at line 64 of file qabstractanimation.h.

int loopCount `[read, write]`

Search for all occurrences

Definition at line 65 of file qabstractanimation.h.

int currentTime `[read, write]`

Search for all occurrences

Definition at line 66 of file qabstractanimation.h.

int currentLoop `[read]`

Search for all occurrences

Definition at line 67 of file qabstractanimation.h.

Direction direction `[read, write]`

Search for all occurrences

Definition at line 68 of file qabstractanimation.h.

int duration `[read]`

Search for all occurrences

Reimplemented in QPauseAnimation, and QVariantAnimation.

Definition at line 69 of file qabstractanimation.h.

The documentation for this class was generated from the following file:

- QtCore/qabstractanimation.h

QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation
QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation QAbstractAnimation